package com.philisense.www.constant;

/**
 * 通用常量信息
 */
public class Constants {

    /**
     * UTF-8 字符集
     */
    public static final String UTF8 = "UTF-8";

    /**
     * GBK 字符集
     */
    public static final String GBK = "GBK";

    /**
     * http请求
     */
    public static final String HTTP = "http://";

    /**
     * https请求
     */
    public static final String HTTPS = "https://";

    /**
     * 登录用户 redis key
     */
    public static final String LOGIN_TOKEN_KEY = "login_tokens:";

    /**
     * 令牌前缀
     */
    public static final String LOGIN_USER_KEY = "login_user_key";

    /**
     * 自定义默认Token
     */
    public static final String CUSTOM_DEFAULT_TOKEN = "internal_server:fae2324d-6a9d-477b-9a95-3c4e1c6c6b32";

    /**
     * 自定义Headers参数
     */
    public static final String CUSTOM_HEADERS_SERVER_TYPE = "Server-Type";

    /**
     * 防重提交 redis key
     */
    public static final String REPEAT_SUBMIT_KEY = "repeat_submit:";

    /**
     * 资源映射路径 前缀
     */
    public static final String RESOURCE_PREFIX = "/profile";

    /**
     * 默认密码
     */
    public static final String DEFAULT_PASSWORD = "123456";
}
