package com.philisense.www.api.generator.impl;

import com.philisense.www.api.generator.VcodeGenerator;
import com.philisense.www.builder.WordCombBuilder;
import com.philisense.www.dto.wordcomb.WordComb;
import org.springframework.web.context.request.ServletWebRequest;

/**
 * 文字点选验证码生成
 */
public class WordCombGenerator implements VcodeGenerator {

    @Override
    public WordComb generate(ServletWebRequest request) {
        return new WordCombBuilder().build();
    }
}
