package com.philisense.www.constant;

import org.apache.commons.lang3.ArrayUtils;

/**
 * 媒体类型工具类
 *
 */
public class MimeTypesConstants {

    public static final String[] IMAGE_EXTENSION = {"jpg", "jpeg", "gif", "png", "bmp", "JPG", "JPEG", "PNG" };

    public static final String[] FLASH_EXTENSION = {"swf", "flv"};

    public static final String[] MEDIA_EXTENSION = {"mp3", "wav", "wma", "wmv", "amr", "asf"};

    public static final String[] VIDEO_EXTENSION = {"mp4", "avi", "rmvb", "mpg"};

    public static final String[] FILE_EXTENSION = ArrayUtils.addAll(MEDIA_EXTENSION, new String[]{"doc", "docx", "xls", "xlsx", "ppt", "pptx", "html", "htm", "txt",
            "pdf", "zip", "rar", "gz", "bz2"});

    public static final String[] DEFAULT_ALLOWED_EXTENSION = (String[]) ArrayUtils.addAll(IMAGE_EXTENSION, FILE_EXTENSION, VIDEO_EXTENSION);
}
