package com.philisense.www;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.transaction.annotation.EnableTransactionManagement;


@SpringBootApplication(exclude = { DataSourceAutoConfiguration.class })
@EnableTransactionManagement(order = 2)
@MapperScan(value = "com.philisense.www.mapper")
public class PlatformSystemServerApplication {

	public static void main(String[] args) {SpringApplication.run(PlatformSystemServerApplication.class, args);}


}
