package com.philisense.www.config;

import com.philisense.www.utils.StringUtils;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class ActiveProject {

    @Value("${spring.profiles.active}")
    private String projectType;

    public String getProjectType() {
        return StringUtils.isNotEmpty(projectType) ? projectType.substring(projectType.indexOf("-") + 1) : "";
    }

}
